コンテンツへスキップ

LTX 2.3 Quality · Inpaint

統合

モデルID ltx-2.3-quality/inpaint
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx-2.3-quality/inpaint?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "mask_video_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.27 270 APIクレジット 実行前にファイルを計測します このページで実行

APIキーを取得
Lightricks · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

マスク内に生成する内容を指定するテキスト。

•必須 video_url
ファイルをドロップ、または

インペインティングに使用するソース動画。

•必須
ファイルをドロップ、または

黒い領域でソース内容を保持し、白い領域で再生成内容を示す動画マスク。

デフォルト 121

生成する出力のフレーム数。

詳細設定 negative_prompt · video_quality · video_write_mode · video_strength · frames_per_second · num_inference_steps · guidance_scale · seed · enable_prompt_expansion · enable_safety_checker
デフォルト color distortion, ove...

生成で避ける内容を指定するネガティブプロンプト。

video_quality デフォルト high

出力動画に適用する品質プリセット。

video_write_mode デフォルト balanced

結果動画の書き込みモード。

デフォルト 1

保持された内容でソース動画の構造をどの程度維持するかを設定します。IC-LoRA動画ガイドの強度を上げると保持が強くなります。

デフォルト 24

1秒あたりのフレーム数で表す出力動画のフレームレート。

デフォルト 15

実行する推論ステップ数を最大30まで設定します。変更しない場合は15です。

デフォルト 1

このスケールでclassifier-free guidanceを調整します。デフォルトは高品質と高速生成の両立を目標に調整されています。

生成を再現可能にするシード。None に設定するとシードをランダムに選択します。

POST /run/ltx-2.3-quality/inpaint?wait=20 見積もり → $0.27
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx-2.3-quality/inpaint?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "mask_video_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

LTX 2.3 Quality · Inpaintについて

動画の一部を編集します。`video_url`、白い領域を再生成し黒い領域を維持する`mask_video_url`、新しい内容を記述する`prompt`を指定します。`video_strength`(0~1)はソース構造をどの程度保持するかを制御します。`num_frames`は1~60 fpsで9~481です。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
マスク内に生成する内容を指定するテキスト。
video_url必須 video
型url · video
インペインティングに使用するソース動画。
mask_video_url必須
型url · video
黒い領域でソース内容を保持し、白い領域で再生成内容を示す動画マスク。
video_strength任意
型number
デフォルト1
0 – 1
保持された内容でソース動画の構造をどの程度維持するかを設定します。IC-LoRA動画ガイドの強度を上げると保持が強くなります。
num_frames任意
型integer
デフォルト121
9 – 481
生成する出力のフレーム数。
frames_per_second任意
型number
デフォルト24
1 – 60
1秒あたりのフレーム数で表す出力動画のフレームレート。
num_inference_steps任意
型integer
デフォルト15
8 – 30
実行する推論ステップ数を最大30まで設定します。変更しない場合は15です。
guidance_scale任意
型number
デフォルト1
1 – 20
このスケールでclassifier-free guidanceを調整します。デフォルトは高品質と高速生成の両立を目標に調整されています。
generate_audio任意
型boolean
デフォルトtrue
返却するMP4の音声トラック切り替え。オフでは動画のみのファイル、オンでは音声付きになります。
negative_prompt任意
型string
デフォルトcolor distortion, overexposure, static, blurry details, subtitles, style, artwork, painting, frame, still, dim overall tone, worst quality, low quality, JPEG compression artifacts, ugly, mutilated, extra fingers, poorly drawn hands, poorly drawn face, deformed, disfigured, malformed limbs, fused fingers, motionless frame, cluttered background, three legs, crowded background, walking backwards
生成で避ける内容を指定するネガティブプロンプト。
seed任意
型integer | null
生成を再現可能にするシード。None に設定するとシードをランダムに選択します。
enable_prompt_expansion任意
型boolean
デフォルトtrue
プロンプト拡張を有効にするかどうかを制御します。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェックを有効にするかどうかを制御します。
video_quality任意
型enum
デフォルトhigh
lowmediumhighmaximum
出力動画に適用する品質プリセット。
video_write_mode任意
型enum
デフォルトbalanced
fastbalancedsmall
結果動画の書き込みモード。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-2.3-quality/inpaint",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 270,
    "usd": "0.27",
    "charged": 270,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "mask_video_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42,
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}モデルが生成した動画。
seed
integer生成時に実際に適用されたシード。
prompt
string使用前に拡張された内容を含む生成プロンプト。

その他のモデル: 動画変換

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/ltx-2.3-quality/inpaint.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt